﻿Public Class Form1

    ' Sample 1

    Private Sub btnSleepTimer1_Click(sender As Object, e As EventArgs) Handles btnSleepTimer1.Click
        tbTimerOne.Text = "started, waiting for timer tick"
        tmrSleep1.Start()
    End Sub

    Private Sub tmrSleep1_Tick(sender As Object, e As EventArgs) Handles tmrSleep1.Tick
        StopAfterFirstTick()
        tbTimerOne.Text = $"{tmrSleep1.Interval}ms passed, yay"
    End Sub

    Private Sub StopAfterFirstTick()
        tmrSleep1.Stop()
    End Sub

    ' Sample 2

    Private Property DelaySecondTimer As Boolean

    Private Sub btnStartTimerTwo_Click(sender As Object, e As EventArgs) Handles btnStartTimerTwo.Click
        tmrSleep2.Start()
    End Sub

    Private Sub btnDelayTimerTwoOnce_Click(sender As Object, e As EventArgs) Handles btnDelayTimerTwoOnce.Click
        DelaySecondTimer = True
    End Sub

    Private Sub btnStopSecondTimer_Click(sender As Object, e As EventArgs) Handles btnStopSecondTimer.Click
        tmrSleep2.Stop()
    End Sub

    Private Sub tmrSleep2_Tick(sender As Object, e As EventArgs) Handles tmrSleep2.Tick
        If DelaySecondTimer Then
            tbTimerTwo.AppendText($"ok, skip this tick{Environment.NewLine}")
            DelaySecondTimer = False
            Return
        End If
        tbTimerTwo.AppendText($"Tick{Environment.NewLine}")
    End Sub

End Class
